Module | PhusionPassenger::ClassicRailsExtensions

In:

lib/phusion_passenger/classic_rails_extensions/analytics_logging/ac_base_extension.rb
lib/phusion_passenger/classic_rails_extensions/analytics_logging/ac_benchmarking_extension.rb
lib/phusion_passenger/classic_rails_extensions/analytics_logging/ac_rescue_extension.rb
lib/phusion_passenger/classic_rails_extensions/analytics_logging/ar_abstract_adapter_extension.rb
lib/phusion_passenger/classic_rails_extensions/analytics_logging/as_cache_extension.rb
lib/phusion_passenger/classic_rails_extensions/analytics_logging/av_benchmark_helper_extension.rb
lib/phusion_passenger/classic_rails_extensions/init.rb

### Methods

init!

### Classes and Modules

Module PhusionPassenger::ClassicRailsExtensions::AnalyticsLogging

### Public Class methods

init!(options)

[Source]

        # File lib/phusion_passenger/classic_rails_extensions/init.rb, line 28
    28:         def self.init!(options)
    29:                 if options["analytics_logger"] && options["analytics"]
    30:                         AnalyticsLogging.install!(options)
    31:                 else
    32:                         # Remove code to save memory.
    33:                         PhusionPassenger.send(:remove_const, :ClassicRailsExtensions)
    34:                 end
    35:         end

[Validate]